/*******************************************************************************
 * HeadTrackingComponent generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class HeadTrackingComponent extends ActorComponent
    native(Anim);

struct native ActorToLookAt
{
    var Actor Actor;
    var float Rating;
    var float EnteredTime;
    var float LastKnownDistance;
    var float StartTimeBeingLookedAt;
    var bool CurrentlyBeingLookedAt;

    structdefaultproperties
    {
        Actor=none
        Rating=0.0
        EnteredTime=0.0
        LastKnownDistance=0.0
        StartTimeBeingLookedAt=0.0
        CurrentlyBeingLookedAt=false
    }
};

var() array<name> TrackControllerName;
var() float LookAtActorRadius;
var() bool bDisableBeyondLimit;
var() float MaxLookAtTime;
var() float MinLookAtTime;
var() float MaxInterestTime;
var(Target) array< class<Actor> > ActorClassesToLookAt;
var(Target) array<name> TargetBoneNames;
var private native const transient map<0, 0> CurrentActorMap;
var export editinline SkeletalMeshComponent SkeletalMeshComp;
var private transient array<SkelControlLookAt> TrackControls;
var private transient Vector RootMeshLocation;
var private transient Rotator RootMeshRotation;

defaultproperties
{
    TrackControllerName(0)=HeadLook
    TrackControllerName(1)=LeftEyeLook
    TrackControllerName(2)=RightEyeLook
    LookAtActorRadius=500.0
    MaxLookAtTime=5.0
    MinLookAtTime=3.0
    MaxInterestTime=7.0
    TargetBoneNames(0)=b_MF_Head
    TargetBoneNames(1)=b_MF_Neck
}